## kodi-audiodecoder-sidplay 20.2.0+ds1

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.5)
project(audiodecoder.sidplay)

set(CMAKE_MODULE_PATH ${CMAKE_MODULE_PATH} ${PROJECT_SOURCE_DIR})

find_package(Kodi REQUIRED)
find_package(Sidplay2 REQUIRED)
find_package(Resid REQUIRED)

if(WIN32)
  add_definitions(-DHAVE_MSWINDOWS)
else()
  add_definitions(-DHAVE_UNIX)
endif()

set(SID_SOURCES src/SIDCodec.cpp)
set(SID_HEADERS src/SIDCodec.h)

list(APPEND DEPLIBS ${SIDPLAY2_LIBRARIES}
                    ${RESID_LIBRARIES})

include_directories(${KODI_INCLUDE_DIR}/..
                    ${RESID_INCLUDE_DIRS}
                    ${SIDPLAY2_INCLUDE_DIRS})

build_addon(audiodecoder.sidplay SID DEPLIBS)

include(CPack)

## kodi-audiodecoder-sidplay 3.0.0+ds1

=== debian/changelog ===
kodi-audiodecoder-sidplay (3.0.0+ds1-2~mx19+1) mx; urgency=medium

  * Rebuild for MX Linux.

 -- Steven Pusser <stevep@mxlinux.org>  Fri, 25 Jun 2021 20:44:41 -0700

kodi-audiodecoder-sidplay (3.0.0+ds1-2) unstable; urgency=medium

  * Force override libdir paths
  * Bump copyright years

 -- Vasyl Gello <vasek.gello@gmail.com>  Wed, 20 Jan 2021 06:23:42 +0000

kodi-audiodecoder-sidplay (3.0.0+ds1-1) unstable; urgency=medium

  * Initial upload

 -- Vasyl Gello <vasek.gello@gmail.com>  Sun, 27 Dec 2020 07:12:29 +0000

=== debian/control ===
Source: kodi-audiodecoder-sidplay
Priority: optional
Section: libs
Maintainer: Steven Pusser <stevep@mxlinux.org>
XSBC-Original-Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
Uploaders: Vasyl Gello <vasek.gello@gmail.com>
Build-Depends: debhelper-compat (= 13)
Build-Depends-Arch: cmake,
                    dh-sequence-kodiaddon,
                    kodi-addons-dev (>= 2:19~),
                    libresid-builder-dev,
                    libsidplay2-dev,
                    libsidutils-dev,
                    pkg-config
Standards-Version: 4.5.1
Rules-Requires-Root: no
Vcs-Browser: https://salsa.debian.org/multimedia-team/kodi-media-center/kodi-audiodecoder-sidplay
Vcs-Git: https://salsa.debian.org/multimedia-team/kodi-media-center/kodi-audiodecoder-sidplay.git
Homepage: https://kodi.tv/

Package: kodi-audiodecoder-sidplay
Architecture: any
Depends: ${kodi:AUDIODECODERAPI}, ${misc:Depends}, ${shlibs:Depends}
Description: SidPlay audio decoder for Kodi
 Kodi, formerly known as XBMC is an award winning free and
 open source software media-player and entertainment hub for all your digital
 media. Kodi is available for Linux, Mac OS X (Leopard, Tiger and Apple TV)
 and Microsoft Windows, as well as the original Xbox game console. Created in
 2003 by a group of like minded programmers, Kodi is a non-profit project run
 and developed by volunteers located around the world. More than 50 software
 developers have contributed to Kodi, and 100-plus translators have worked to
 expand its reach, making it available in more than 30 languages.
 .
 While Kodi functions very well as a standard media player application for
 your computer, it has been designed to be the perfect companion for your
 HTPC. Supporting an almost endless range of remote controls, and combined
 with its beautiful interface and powerful skinning engine, Kodi feels very
 natural to use from the couch and is the ideal solution for your home
 theater. Once installed, your computer will become a fully functional
 multimedia jukebox.
 .
 This package allows playing SidPlay audio files in Kodi.

## kodi-audiodecoder-sidplay 19.0.1%2Bds1

=== debian/changelog ===
kodi-audiodecoder-sidplay (19.0.1+ds1-2~bpo11+1) bullseye-backports; urgency=medium

  * Rebuild for bullseye-backports.
  * No-change rebuild

 -- Vasyl Gello <vasek.gello@gmail.com>  Mon, 16 May 2022 01:41:16 +0000

kodi-audiodecoder-sidplay (19.0.1+ds1-2) unstable; urgency=medium

  * Modernize package

 -- Vasyl Gello <vasek.gello@gmail.com>  Mon, 21 Mar 2022 17:51:18 +0000

kodi-audiodecoder-sidplay (19.0.1+ds1-1) unstable; urgency=medium

  * New upstream version 19.0.1+ds1

 -- Vasyl Gello <vasek.gello@gmail.com>  Wed, 10 Nov 2021 19:21:54 +0000

kodi-audiodecoder-sidplay (19.0.0+ds1-1) unstable; urgency=medium

  * New upstream version 19.0.0+ds1
  * Bump standard version
  * Disable LTO to make build reproducible

 -- Vasyl Gello <vasek.gello@gmail.com>  Wed, 13 Oct 2021 22:13:05 +0000

kodi-audiodecoder-sidplay (3.0.0+ds1-3) unstable; urgency=medium

  * Fix github ref
  * Restrict watchfile to current stable Kodi codename

 -- Vasyl Gello <vasek.gello@gmail.com>  Mon, 16 Aug 2021 05:37:37 +0000

=== debian/control ===
--- 
+++ 
@@ -1,18 +1,16 @@
 Source: kodi-audiodecoder-sidplay
 Priority: optional
 Section: libs
-Maintainer: Steven Pusser <stevep@mxlinux.org>
-XSBC-Original-Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
+Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
 Uploaders: Vasyl Gello <vasek.gello@gmail.com>
 Build-Depends: debhelper-compat (= 13)
-Build-Depends-Arch: cmake,
-                    dh-sequence-kodiaddon,
-                    kodi-addons-dev (>= 2:19~),
-                    libresid-builder-dev,
-                    libsidplay2-dev,
-                    libsidutils-dev,
-                    pkg-config
-Standards-Version: 4.5.1
+Build-Depends-Arch: dh-sequence-kodiaddon (>= 2:19~),
+               cmake,
+               libresid-builder-dev,
+               libsidplay2-dev,
+               libsidutils-dev,
+               pkg-config
+Standards-Version: 4.6.0
 Rules-Requires-Root: no
 Vcs-Browser: https://salsa.debian.org/multimedia-team/kodi-media-center/kodi-audiodecoder-sidplay
 Vcs-Git: https://salsa.debian.org/multimedia-team/kodi-media-center/kodi-audiodecoder-sidplay.git
@@ -20,7 +18,9 @@
 
 Package: kodi-audiodecoder-sidplay
 Architecture: any
-Depends: ${kodi:AUDIODECODERAPI}, ${misc:Depends}, ${shlibs:Depends}
+Depends: ${shlibs:Depends},
+         ${misc:Depends},
+         ${kodi:AUDIODECODERAPI}
 Description: SidPlay audio decoder for Kodi
  Kodi, formerly known as XBMC is an award winning free and
  open source software media-player and entertainment hub for all your digital

## kodi-audiodecoder-sidplay 19.0.1+ds1

=== debian/control ===
--- 
+++ 
@@ -4,8 +4,9 @@
 Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
 Uploaders: Vasyl Gello <vasek.gello@gmail.com>
 Build-Depends: debhelper-compat (= 13)
-Build-Depends-Arch: dh-sequence-kodiaddon (>= 2:19~),
+Build-Depends-Arch: dh-sequence-kodiaddon,
                cmake,
+               kodi-addons-dev (>= 2:19~),
                libresid-builder-dev,
                libsidplay2-dev,
                libsidutils-dev,

=== debian/watch ===
version=4

opts="repack, \
      compression=xz, \
      repacksuffix=+ds1, \
      dversionmangle=auto" \
https://github.com/xbmc/audiodecoder.sidplay/releases \
/xbmc/audiodecoder.sidplay/archive/refs/tags/?(\d\S*)-Matrix\.tar\.gz

## kodi-audiodecoder-sidplay 20.2.0+ds1

=== debian/changelog ===
kodi-audiodecoder-sidplay (20.2.0+ds1-2build1) noble; urgency=high

  * No change rebuild against frame pointers and time_t.

 -- Julian Andres Klode <juliank@ubuntu.com>  Mon, 22 Apr 2024 16:51:30 +0200

kodi-audiodecoder-sidplay (20.2.0+ds1-2) unstable; urgency=medium

  * d/watch: switch to git tags

 -- Vasyl Gello <vasek.gello@gmail.com>  Sat, 15 Oct 2022 16:56:48 +0000

kodi-audiodecoder-sidplay (20.2.0+ds1-1) unstable; urgency=medium

  * New upstream version 20.2.0+ds1
  * Prepare for v20 in unstable

 -- Vasyl Gello <vasek.gello@gmail.com>  Thu, 04 Aug 2022 09:57:26 +0000

=== debian/control ===
--- 
+++ 
@@ -1,17 +1,17 @@
 Source: kodi-audiodecoder-sidplay
 Priority: optional
 Section: libs
-Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
 Uploaders: Vasyl Gello <vasek.gello@gmail.com>
 Build-Depends: debhelper-compat (= 13)
-Build-Depends-Arch: dh-sequence-kodiaddon,
+Build-Depends-Arch: dh-sequence-kodiaddon (>= 2:20~),
                cmake,
-               kodi-addons-dev (>= 2:19~),
                libresid-builder-dev,
                libsidplay2-dev,
                libsidutils-dev,
                pkg-config
-Standards-Version: 4.6.0
+Standards-Version: 4.6.1
 Rules-Requires-Root: no
 Vcs-Browser: https://salsa.debian.org/multimedia-team/kodi-media-center/kodi-audiodecoder-sidplay
 Vcs-Git: https://salsa.debian.org/multimedia-team/kodi-media-center/kodi-audiodecoder-sidplay.git

=== debian/watch ===
version=4

# Release git tags
# TODO: Change Kodi codename in refs/tags before packaging next Kodi major release

opts="mode=git, \
      pgpmode=none, \
      repack, \
      repacksuffix=+ds1, \
      compression=xz, \
      dversionmangle=auto" \
https://github.com/xbmc/audiodecoder.sidplay \
refs/tags/@ANY_VERSION@-Nexus \
debian

## kodi-audiodecoder-sidplay 21.0.2+ds

=== debian/changelog ===
kodi-audiodecoder-sidplay (21.0.2+ds-1) unstable; urgency=high

  * New upstream version 21.0.2+ds
  * d/copyright: Bump copyright years

 -- Vasyl Gello <vasek.gello@gmail.com>  Mon, 27 Jan 2025 08:44:47 +0000

kodi-audiodecoder-sidplay (20.2.0+ds1-4) unstable; urgency=critical

  * Mass fix: d/watch: Allow multiple addon suites to be checked

 -- Vasyl Gello <vasek.gello@gmail.com>  Tue, 20 Aug 2024 12:12:39 +0000

kodi-audiodecoder-sidplay (20.2.0+ds1-3) unstable; urgency=medium

  * Branch out experimental
  * Modernize package
  * New release 20.2.0+ds1-1
  * Finalize changelog
  * d/gbp.conf: Fix debian and upstream branches
  * Import Debian packaging from debian/sid
  * Prepare for v21 "Omega"
  * Bump copyright years
  * d/control: Ensure Vcs-Git points to correct branch
  * Bump standards version to 4.7.0 (no changes required)

 -- Vasyl Gello <vasek.gello@gmail.com>  Fri, 09 Aug 2024 08:44:41 +0000

=== debian/control ===
--- 
+++ 
@@ -1,20 +1,19 @@
 Source: kodi-audiodecoder-sidplay
 Priority: optional
 Section: libs
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
+Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
 Uploaders: Vasyl Gello <vasek.gello@gmail.com>
 Build-Depends: debhelper-compat (= 13)
-Build-Depends-Arch: dh-sequence-kodiaddon (>= 2:20~),
+Build-Depends-Arch: dh-sequence-kodiaddon (>= 2:21~),
                cmake,
                libresid-builder-dev,
                libsidplay2-dev,
                libsidutils-dev,
                pkg-config
-Standards-Version: 4.6.1
+Standards-Version: 4.7.0
 Rules-Requires-Root: no
 Vcs-Browser: https://salsa.debian.org/multimedia-team/kodi-media-center/kodi-audiodecoder-sidplay
-Vcs-Git: https://salsa.debian.org/multimedia-team/kodi-media-center/kodi-audiodecoder-sidplay.git
+Vcs-Git: https://salsa.debian.org/multimedia-team/kodi-media-center/kodi-audiodecoder-sidplay.git -b debian/sid
 Homepage: https://kodi.tv/
 
 Package: kodi-audiodecoder-sidplay

=== debian/watch ===
version=4

# Release git tags
# Kodi addons are bound to internal Kodi API versions so the version
# initially built for older Kodi suite (like Matrix or Nexus) may run 
# on newer Kodi (like Omega) if corresponding internal API version
# has not been changed.
#
# This flexibility introduces minor inconvenience to Debian package
# builders as uscan(1) typically operates on single suite of upstream
# tags.
#
# To mitigate addon updates not found, it is possible to specify multiple
# allowed codenames in regexp and tweak uversionmangle to strip the
# dot-suitename from the rersulting tarball name
#
# For debian/sid and other non-experimental branches, the list of codenames
# must start with the Kodi suite name the API was ast changed and end with
# a current Kodi suite being packaged, like:
#
# uversionmangle=s/\.(Nexus|Omega)//, \
# refs/tags/@ANY_VERSION@-(Nexus|Omega) \
#
# for Omega.
#
# For debian/experimental, the list of codenames must have only one suite
# matching current master (i.e Piers if Omega is currently shipped in debian/sid)
# This way only package versions targeting kodi-next will land into
# debian/experimental while all earlier compatible versions will be caught by
# debian/sid watchfile.
#

# Release git tags

# TODO: Change allowed Kodi codenames in refs/tags and uversionmangle
# before packaging next Kodi major release!

opts="mode=git, \
      pgpmode=none, \
      repack, \
      repacksuffix=+ds, \
      compression=xz, \
      uversionmangle=s/\.(Nexus|Omega)//, \
      dversionmangle=auto" \
https://github.com/xbmc/audiodecoder.sidplay \
refs/tags/@ANY_VERSION@-(Nexus|Omega) \
debian
